#ifndef MATH1_H_
#define MATH1_H_

#include "mbed.h"



class MATH {

public:

    double round(double src, int n);
	double sqr(double value);
	double LVRMS(double* d1, double* d2,  uint16_t len);
	double RMS(double* d, uint16_t len);
	double UR(double d1, double d2, double d3);
	double angle(double d1, double d2);
	double UF(double rms_a, double rms_b, double rms_c,
			double angle_a, double angle_b, double angle_c);
    double VDF(double d1, double d2, double d3);
    double CDF(double d1, double d2, double d3);
	double doDFT(double *input, double *output, int N);
	void integal(double *in, double *out, int len, int sps);
	void detrend(double *y, int len, int sps);
	double Peak2Peak(double *in, int len);
	double Hz(int SPS, int N, int len);
	double PeakValue(double *x , double *y, double *z, int len);
	double UBValue(double *maxi, double *x , double *y, double *z, int len);
	double THD(double *ass_1, double *ass_2, double *ass_3, int pu);
	double HD(double *dick_1, double *dick_2, double *dick_3, int pu);
	double BB(double *d1, double *d2, double *d3, int pu);
	void Fuzzy_Fault(double IUR,double IUF,double THDV,double VDFodd,double THDI,double IDFodd,double BB,double peakvalue,double *health,double *stator,double *rotor,double *bearing, double *eccentric);
	void Fuzzy_Condition(double VUR,double IUR,double VUF,double IUF,double VD,double CD,double Vel,double Dis,double *pCMS);


private:

};

#endif



